Add Contacts Bulk
curl --request POST \
--url https://api.ontora.com/v1/interviews/{interview_id}/contacts/bulk \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"contacts": [
{
"name": "<string>",
"email": "<string>",
"phone": "<string>",
"job_title": "<string>",
"department": "<string>",
"seniority_level": 123,
"is_required": false,
"question_set_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}
'import requests
url = "https://api.ontora.com/v1/interviews/{interview_id}/contacts/bulk"
payload = { "contacts": [
{
"name": "<string>",
"email": "<string>",
"phone": "<string>",
"job_title": "<string>",
"department": "<string>",
"seniority_level": 123,
"is_required": False,
"question_set_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
contacts: [
{
name: '<string>',
email: '<string>',
phone: '<string>',
job_title: '<string>',
department: '<string>',
seniority_level: 123,
is_required: false,
question_set_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
}
]
})
};
fetch('https://api.ontora.com/v1/interviews/{interview_id}/contacts/bulk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"interview_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"question_set_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"email": "<string>",
"phone": "<string>",
"job_title": "<string>",
"department": "<string>",
"seniority_level": 123,
"is_required": true,
"meeting_url": "<string>",
"status": "<string>",
"scheduled_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"booking_token": "<string>",
"reminder_count": 0,
"last_reminder_at": "2023-11-07T05:31:56Z"
}
],
"count": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}interviews
Add Contacts Bulk
Add multiple contacts in a single request.
This is much more efficient than calling the single contact endpoint multiple times, as it reduces the number of database roundtrips and auth checks.
POST
/
v1
/
interviews
/
{interview_id}
/
contacts
/
bulk
Add Contacts Bulk
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Path Parameters
Body
application/json
Show child attributes
Show child attributes
Was this page helpful?
⌘I